Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Interface IDLTypeOperations

All Superinterfaces:
  IRObjectOperations

All Known Subinterfaces:
  AbstractInterfaceDef, AbstractInterfaceDefOperations, AliasDef, AliasDefOperations, ArrayDef, ArrayDefOperations, EnumDef, EnumDefOperations, FixedDef, FixedDefOperations, IDLType, InterfaceDef, InterfaceDefOperations, LocalInterfaceDef, LocalInterfaceDefOperations, NativeDef, NativeDefOperations, PrimitiveDef, PrimitiveDefOperations, SequenceDef, SequenceDefOperations, StringDef, StringDefOperations, StructDef, StructDefOperations, TypedefDef, TypedefDefOperations, UnionDef, UnionDefOperations, ValueBoxDef, ValueBoxDefOperations, ValueDef, ValueDefOperations, WstringDef, WstringDefOperations

All Known Implementing Classes:
  IDLTypePOA

public interface IDLTypeOperations
extends IRObjectOperations

The base interface IDLType is inherited by all IR objects that represent OMG IDL types. It provides access to the TypeCode describing the type, and is used in defining other interfaces wherever definitions of IDL types must be referenced.

Method Summary
`TypeCode` | `type()` The type attribute describes the type defined by an object derived from IDLType.

Methods inherited from interface org.omg.CORBA.IRObjectOperations
`def_kind, destroy`

Method Detail

### type

    public TypeCode type()

  The type attribute describes the type defined by an object derived from IDLType.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD